import "../../../../../node_modules/element-plus/es/index.mjs";
/* empty css                                                             */
/* empty css                                                                */
import { inject, ref, createElementBlock, openBlock, createVNode, mergeProps, withCtx, createTextVNode } from "vue";
import Node from "./Node.vue2.mjs";
/* empty css               */
import _export_sfc from "../../../../../_virtual/_plugin-vue_export-helper.mjs";
import { ElText } from "../../../../../node_modules/element-plus/es/components/text/index.mjs";
const _hoisted_1 = { class: "start-node" };
const _sfc_main = {
  __name: "StartNode",
  props: {
    node: Object
  },
  setup(__props) {
    const { nodesError } = inject("flowDesign", { nodesError: ref({}) });
    return (_ctx, _cache) => {
      const _component_el_text = ElText;
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(Node, mergeProps(_ctx.$attrs, {
          icon: "el:List",
          close: false,
          color: "linear-gradient(89.96deg, #a89bfa .05%, #8c7cf3 79.83%)",
          node: __props.node
        }), {
          default: withCtx(() => [
            createVNode(_component_el_text, null, {
              default: withCtx(() => _cache[0] || (_cache[0] = [
                createTextVNode("事件开始")
              ])),
              _: 1
            })
          ]),
          _: 1
        }, 16, ["node"])
      ]);
    };
  }
};
const Start = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-699b6864"]]);
export {
  Start as default
};
